Qwt Polar User's Guide: QwtPolarPanner Class Reference

Qwt Polar User's Guide 1.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs Enumerations Enumerator Pages
Public Member Functions | Protected Slots | Protected Member Functions | List of all members
QwtPolarPanner Class Reference

QwtPolarPanner provides panning of a polar plot canvas. More...

`#include <qwt_polar_panner.h>`

Inheritance diagram for QwtPolarPanner:
[legend]

## Public Member Functions
| QwtPolarPanner (QwtPolarCanvas *)
| Create a plot panner for a polar plot canvas.
virtual | ~QwtPolarPanner ()
| Destructor.
QwtPolarPlot * | plot ()
const QwtPolarPlot * | plot () const
QwtPolarCanvas * | canvas ()
const QwtPolarCanvas * | canvas () const

## Protected Slots
virtual void | movePlot (int dx, int dy)

## Protected Member Functions
virtual void | widgetMousePressEvent (QMouseEvent *)

## Detailed Description

QwtPolarPanner provides panning of a polar plot canvas.

QwtPolarPanner is a panner for a QwtPolarCanvas, that adjusts the visible area after dropping the canvas on its new position.

Together with QwtPolarMagnifier individual ways of navigating on a QwtPolarPlot widget can be implemented easily.

See Also
  QwtPolarMagnifier

## Member Function Documentation

QwtPolarCanvas * QwtPolarPanner::canvas | ( |  | ) |

Returns
  observed plot canvas

const QwtPolarCanvas * QwtPolarPanner::canvas | ( |  | ) | const

Returns
  observed plot canvas

void QwtPolarPanner::movePlot | ( | int | dx,
|  | int | dy
| ) |  |
| protectedvirtualslot

Adjust the zoomed area according to dx/dy

Parameters

  dx | Pixel offset in x direction
  dy | Pixel offset in y direction

See Also
  QwtPanner::panned(), QwtPolarPlot::zoom()

QwtPolarPlot * QwtPolarPanner::plot | ( |  | ) |

Returns
  observed plot

const QwtPolarPlot * QwtPolarPanner::plot | ( |  | ) | const

Returns
  observed plot

void QwtPolarPanner::widgetMousePressEvent | ( | QMouseEvent * | event | ) |
| protectedvirtual

Block panning when the plot zoom factor is >= 1.0.

Parameters

  event | Mouse event